#
# spec file for package MozillaFirefox (Version 3.0.14)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2009 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-file-utils desktop-translations diffutils esound esound-devel expat fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme indent info insserv keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libidl libidl-devel libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp mozilla-xulrunner190 mozilla-xulrunner190-devel ncurses net-tools netcfg nss-mdns openldap2-client openssl-certs orbit orbit-devel orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt popt-devel post-build-checks pwdutils python rpm sed setserial shared-mime-info sqlite startup-notification sysvinit tar tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           MozillaFirefox
BuildRequires:  gcc-c++ libgnomeui-devel libidl-devel mozilla-xulrunner190-devel orbit-devel python unzip update-desktop-files zip
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Provides:       web_browser
Provides:       firefox
Version:        3.0.14
Release:        0.1
Summary:        Mozilla Firefox Web Browser
Url:            http://www.mozilla.org/
Group:          Productivity/Networking/Web/Browsers
Source:         firefox-%{version}-source.tar.bz2
Source1:        MozillaFirefox.desktop
Source2:        %{name}-rpmlintrc
Source3:        mozilla.sh.in
Source4:        find-external-requires.sh
Source5:        firefox-lockdown.js
Source7:        l10n-%{version}.tar.bz2
Source8:        firefox-mimeinfo.xml
Source11:       firefox48.png
Source16:       firefox.1
Source17:       firefox-suse-default-prefs.js
Source30:       bookmarks.html.suse
Source31:       firefox.schemas
Source32:       search-addons.tar.bz2
Patch1:         firefox-libxul-sdk.patch
Patch2:         firefox-no-update-lite.patch
Patch14:        credits.patch
Patch17:        firefox-appname.patch
# PATCH-FEATURE-SLED firefox-ui-lockdown.patch FATE#302023, FATE#302024 - hfiguiere@novell.com
Patch20:        firefox-ui-lockdown.patch
Patch30:        firefox-fix-set-background.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         coreutils /bin/sh gconf2 shared-mime-info desktop-file-utils
Requires:       mozilla-xulrunner190 >= %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mozilla-xulrunner190)
%requires_eq    mozilla-xulrunner190
%ifarch %ix86
Requires:       mozilla-xulrunner190-32bit >= %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mozilla-xulrunner190)
Requires:       mozilla-xulrunner190-32bit = %(rpm -q --queryformat '%{VERSION}' mozilla-xulrunner190)
%endif
#Requires:       %{name}-branding >= 3.0
%define default_home_page http://www.opensuse.org/
%define _unpackaged_files_terminate_build 0
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE4}
%global provfind sh -c "grep -v '.so' | %__find_provides"
%global __find_provides %provfind
%define releasedate 2009090900
%define progname firefox
%define progdir %{_prefix}/%_lib/%{progname}
%define libgssapi libgssapi_krb5.so.2
%if %suse_version > 1020
%define gnome_confdir %{_sysconfdir}
%define gnome_dir     %{_prefix}
%gconf_schemas_prereq
%else
%define gnome_confdir %{_sysconfdir}/opt/gnome
%define gnome_dir     /opt/gnome
%endif
### build options
%define branding 1
%define localize 1
### build options end

%description
Mozilla Firefox, formerly known as Phoenix and Firebird, is a redesign
of the Mozilla browser component, similar to Galeon, K-Meleon and
Camino, but written using the XUL user interface language and designed
to be cross-platform. It is a stand-alone application instead of part
of the Mozilla Application Suite.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%debug_package
%if %localize

%package translations
Summary:        Translations for MozillaFirefox
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Provides:       locale(%{name}:af;ar;be;bg;bn_IN;ca;cs;cy;da;de;el;en_GB;eo;es_AR;es_ES;et;eu;fi;fr;fy_NL;ga_IE;gl;gu_IN;he;hi_IN;hu;id;is;it;ja;ka;kn;ko;ku;lt;lv;mk;mn;mr;nb_NO;nl;nn_NO;oc;pa_IN;pl;pt_BR;pt_PT;ro;ru;si;sk;sl;sq;sr;sv_SE;te;th;tr;uk;zh_CN;zh_TW)
Group:          Productivity/Networking/Web/Browsers
PreReq:         %{name} = %{version}
Requires:       mozilla-xulrunner190-translations

%description translations
This package contains several optional languages for the user interface
of MozillaFirefox.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%endif

%prep
%setup -q -n mozilla -b 7
cd $RPM_BUILD_DIR/mozilla
%patch1
%patch2 -p1
%patch14
%patch17
%patch20
# custom bookmarks
cp -f %{SOURCE30} $RPM_BUILD_DIR/mozilla/browser/locales/en-US/profile/bookmarks.html
%patch30 -p1

%build
export MOZ_BUILD_DATE=%{releasedate}
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"  
export CXXFLAGS="$CFLAGS"
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
SDKDIR=$(pkg-config --variable=sdkdir libxul)
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/browser/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-libxul-sdk=$SDKDIR
ac_add_options --with-system-jpeg
#ac_add_options --with-system-png     # doesn't work because of missing APNG support
ac_add_options --with-system-zlib
ac_add_options --disable-installer
ac_add_options --disable-tests
ac_add_options --disable-debug
ac_add_options --disable-crashreporter
EOF
%if %branding
cat << EOF >> $MOZCONFIG
ac_add_options --enable-official-branding
EOF
%endif
make -f client.mk build

%install
make -C browser/installer STRIP=/bin/true
# copy tree into RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{progdir}
cp -rf $RPM_BUILD_DIR/mozilla/dist/firefox/* $RPM_BUILD_ROOT/%{progdir}
# install additional locales
%if %localize
echo %defattr\(-,root,root\) > %{_tmppath}/translations.list
for locale in $(awk '{ print $1; }' browser/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
	;;
   *)
  	make -C browser/locales libs-$locale
  	cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
    	  $RPM_BUILD_ROOT/%{progdir}/chrome
  	cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
     	  $RPM_BUILD_ROOT/%{progdir}/chrome
  	echo %{progdir}/chrome/$locale.jar      >> %{_tmppath}/translations.list
  	echo %{progdir}/chrome/$locale.manifest >> %{_tmppath}/translations.list
  esac
done
%endif
# overwrite the mozilla start-script and link it to /usr/bin
mkdir --parents $RPM_BUILD_ROOT/usr/bin
sed "s:%%PREFIX:%{_prefix}:g
s:%%PROGDIR:%{progdir}:g
s:%%APPNAME:%{progname}:g
s:%%PROFILE:.mozilla/firefox:g" \
  %{SOURCE3} > $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
chmod 755 $RPM_BUILD_ROOT%{progdir}/%{progname}.sh
ln -sf ../..%{progdir}/%{progname}.sh $RPM_BUILD_ROOT/usr/bin/%{progname}
# desktop definition
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
# additional mime-types
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/mime/packages/%{progname}.xml
# SCHEMA File
mkdir -p $RPM_BUILD_ROOT%{gnome_confdir}/gconf/schemas
install -m 644 %{SOURCE31} \
               $RPM_BUILD_ROOT/%{gnome_confdir}/gconf/schemas/
# install man-page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp %{SOURCE16} $RPM_BUILD_ROOT%{_mandir}/man1/%{progname}.1
# apply SUSE defaults
sed -e 's,RPM_VERSION,%{version}-%{release},g
s,GSSAPI,%{libgssapi},g' \
   %{SOURCE17} > suse-default-prefs
cp suse-default-prefs $RPM_BUILD_ROOT/%{progdir}/defaults/preferences/firefox-openSUSE.js
rm suse-default-prefs
cp %{SOURCE5} $RPM_BUILD_ROOT/%{progdir}/defaults/preferences/
# use correct locale for useragent
cat > $RPM_BUILD_ROOT%{progdir}/defaults/preferences/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
##########
# ADDONS
#
(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE32})
# browserconfig.properties
sed "s;browser.startup.homepage=.*;browser.startup.homepage=%{default_home_page};g
s;browser.startup.homepage_reset=.*;browser.startup.homepage_reset=%{default_home_page};g" \
  dist/firefox/browserconfig.properties > $RPM_BUILD_ROOT%{progdir}/browserconfig.properties
cat << EOF >> $RPM_BUILD_ROOT%{progdir}/browserconfig.properties
startup.homepage_override_url=%{default_home_page}
EOF
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
%if %branding
cp -f other-licenses/branding/firefox/mozicon128.png $RPM_BUILD_ROOT/usr/share/pixmaps/%{progname}.png
mkdir -p $RPM_BUILD_ROOT%{gnome_dir}/share/icons/hicolor/48x48/apps/
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{gnome_dir}/share/icons/hicolor/48x48/apps/%{progname}.png
ln -sf %{progname}.png $RPM_BUILD_ROOT/usr/share/pixmaps/%{progname}-gnome.png
%else
cp -f $RPM_BUILD_ROOT%{progdir}/icons/mozicon50.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/%{progname}.xpm
%endif
%suse_update_desktop_file %{name} Network WebBrowser X-Ximian-Main X-Ximian-Toplevel GTK
%if %suse_version > 1020
%find_gconf_schemas
%fdupes $RPM_BUILD_ROOT%{progdir}
%fdupes $RPM_BUILD_ROOT%{_datadir}
%endif
%if %branding
chmod -x $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{progname}.png
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %suse_version > 1020

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun
%endif

%post
# update mime and desktop database
if [ -f usr/bin/update-mime-database ] ; then
  usr/bin/update-mime-database %{_datadir}/mime > /dev/null || :
fi
%if %suse_version >= 1030
if [ -f usr/bin/update-desktop-database ] ; then
  usr/bin/update-desktop-database > /dev/null || :
fi
%else
if [ -f opt/gnome/bin/update-mime-database ] ; then
  opt/gnome/bin/update-mime-database > /dev/null || :
fi
%endif
# move plugins to new location
if [ "$1" = "2" ]; then
  if [ -d /opt/MozillaFirefox/%{_lib}/plugins ]; then
    rm -rf /opt/MozillaFirefox/%{_lib}/plugins/libnullplugin.so
    cp -fud /opt/MozillaFirefox/%{_lib}/plugins/* %{progdir}/plugins
    rm -rf /opt/MozillaFirefox/%{_lib}/plugins
  fi
fi
%if %suse_version <= 1020
if [ ! -f /.buildenv ]; then
  export GCONF_CONFIG_SOURCE=`%{gnome_dir}/bin/gconftool-2 --get-default-source`
  %{gnome_dir}bin/gconftool-2 --makefile-install-rule %{gnome_confdir}/gconf/schemas/firefox.schemas > /dev/null 2>&1
fi
%endif
exit 0

%postun
if [ -f usr/bin/update-mime-database ] ; then
  usr/bin/update-mime-database %{_datadir}/mime > /dev/null || :
fi
%if %suse_version >= 1030
if [ -f usr/bin/update-desktop-database ] ; then
  usr/bin/update-desktop-database > /dev/null || :
fi
%else
if [ -f opt/gnome/bin/update-mime-database ] ; then
  opt/gnome/bin/update-mime-database > /dev/null || :
fi
%endif
%if %suse_version > 1020

%posttrans -f %{name}.schemas_posttrans
%endif
%if %suse_version > 1020

%files -f %{name}.schemas_list
%else

%files
%endif
%defattr(-,root,root)
%dir %{progdir}
%dir %{progdir}/chrome/
%{progdir}/chrome/browser.*
%{progdir}/chrome/classic.*
%{progdir}/chrome/en-US.*
%{progdir}/chrome/reporter.*
%{progdir}/chrome/icons
%{progdir}/components/
#%exclude %{progdir}/defaults/profile/bookmarks.html
%{progdir}/defaults/
%{progdir}/extensions/
%{progdir}/icons/
%{progdir}/searchplugins/
%{progdir}/modules/
%attr(755,root,root) %{progdir}/%{progname}.sh
%{progdir}/browserconfig.properties
%{progdir}/application.ini
%{progdir}/firefox
%{progdir}/blocklist.xml
%exclude %{progdir}/updater.ini
%exclude %{progdir}/removed-files
%exclude %{progdir}/README.txt
%exclude %{progdir}/old-homepage-default.properties
%exclude %{progdir}/components/libnkgnomevfs.so
%exclude %{progdir}/run-mozilla.sh
%exclude %{progdir}/libjemalloc.so
%{_datadir}/applications/%{name}.desktop
%if %suse_version <= 1020
%{gnome_confdir}/gconf/schemas/firefox.schemas
%endif
%{_datadir}/mime/packages/%{progname}.xml
%{_datadir}/pixmaps/firefox*
%if %branding
%{gnome_dir}/share/icons/hicolor/
%endif
%{_bindir}/%{progname}
%doc %{_mandir}/man1/%{progname}.1.gz
%if %localize

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)
%endif

%changelog
* Thu Sep 10 2009 - wr@rosenauer.org
- security update to 1.9.0.14 (bnc#534458)
  * MFSA 2009-47/CVE-2009-3069/CVE-2009-3070/CVE-2009-3071/
  CVE-2009-3072/CVE-2009-3073/CVE-2009-3074/CVE-2009-3075
  Crashes with evidence of memory corruption
  * MFSA 2009-48/CVE-2009-3076
  Insufficient warning for PKCS11 module installation and removal
  * MFSA 2009-49/CVE-2009-3077 (bmo#506871)
  TreeColumns dangling pointer vulnerability
  * MFSA 2009-50/CVE-2009-3078 (bmo#453827)
  Location bar spoofing via tall line-height Unicode characters
  * MFSA 2009-51/CVE-2009-3079 (bmo#454363)
  Chrome privilege escalation with FeedWriter
* Mon Aug 03 2009 - wr@rosenauer.org
- security update to 3.0.13 (bnc#527489)
  * MFSA 2009-42 and MFSA 2009-43 don't apply as NSS is provided
  through package mozilla-nss
  * MFSA 2009-44/CVE-2009-2654 (bmo#451898)
  Location bar and SSL indicator spoofing via window.open() on
  invalid URL
* Tue Jul 21 2009 - wr@rosenauer.org
- security update to 3.0.12 (bnc#522109)
  * MFSA 2009-34/CVE-2009-2462/CVE-2009-2463/CVE-2009-2464/
  CVE-2009-2465/CVE-2009-2466
  Crashes with evidence of memory corruption
  * MFSA 2009-35/CVE-2009-2467 (bmo#493601)
  Crash and remote code execution during Flash player unloading
  * MFSA 2009-36/CVE-2009-1194/oCERT-2009-001 (bmo#480134)
  Heap/integer overflows in font glyph rendering libraries
  * MFSA 2009-37/CVE-2009-2469 (bmo#488995)
  Crash and remote code execution using watch and
  __defineSetter__ on SVG
  * MFSA 2009-39/CVE-2009-2471 (bmo#460882)
  setTimeout loses XPCNativeWrappers
  * MFSA 2009-40/CVE-2009-2472
  Multiple cross origin wrapper bypasses
* Thu Apr 16 2009 - pwu@suse.de
- update to security release 2.0.0.21post (bnc#488955)
  see for details
  http://www.mozilla.org/security/known-vulnerabilities/firefox20.html
* Wed Apr 08 2009 - pwu@suse.de
- Adopt firefox2.spec in OBS:mozilla:legacy, and rename the spec
  to MozillaFirefox.
* Thu Mar 26 2009 - pwu@suse.de
- Merge new patches in OBS:mozilla:legacy and SLE10-SP2. Most patches
  are chosen because of newer modification time. Also I did a side
  by side check of different patches.
  Here are the details of which version of patches are chosen.
  From SLE10-SP2:
  abuild.patch, bookmarks.html.suse, credits.patch,
  firefox-ui-lockdown.patch, firefox.schemas,
  system-proxies.patch, tango-maxversion.patch,
  plastikfox-maxversion.patch, tango-theme.tar.bz2.
  From OBS:mozilla:legacy:
  add-plugins.sh.in, cjk-postscript-fonts.dif, cups-paper.patch,
  gnome-vfs.patch, greasemonkey.patch, nss-opt.patch,
  postscript.patch, skin-selection.patch.
  And some patch only exists in a single package, are merged directly.
  From SLE10-SP2:
  MozillaFirefox.xml, firefox-ntlm.patch, local-configuration.js,
  synaptics-scroll-358863.patch, system-nss.patch, tab-close.patch,
  visibility.patch.
  From OBS:mozilla:legacy:
  bmo472464.patch, gcc-undefined-ops.patch, pango-cairo.patch.unused,
  x11-session.patch.
  Dropped pango-cairo.patch.unused.
* Tue Feb 03 2009 - wr@rosenauer.org
- bumped version to 2.0.0.20 to avoid confusion
  (it's the same source but the version was bumped upstream since
  the Windows release 2.0.0.19 wasn't up to date)
- fixed crash in certificate viewer (bmo#472464)
* Sun Dec 14 2008 - wr@rosenauer.org
- update to security release 2.0.0.19 (bnc#458973)
  see for details
  http://www.mozilla.org/security/known-vulnerabilities/firefox20.html
* Fri Nov 21 2008 - maw@suse.de
- Add firefox-381370.patch and respin firefox.schemas and
  gconf-backend.patch (bnc#381370).
* Sat Nov 01 2008 - wr@rosenauer.org
- update to security release 2.0.0.18
  for details:
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Mon Sep 22 2008 - wr@rosenauer.org
- update to security release 2.0.0.17
  for details:
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Fri Jul 11 2008 - wr@rosenauer.org
- update to security release 2.0.0.16 [bnc#407573]
  for details:
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Wed Jul 02 2008 - wr@rosenauer.org
- update to security release 2.0.0.15 [bnc#400757]
  for details:
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Tue Mar 25 2008 - wr@rosenauer.org
- update to security release 2.0.0.13 [#370353]
  for details:
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Fri Feb 15 2008 - wr@opensuse.org
- merged Novell changes from latest Factory update
  * Update firefox-ui-lockdown.patch (FATE#301534, FATE#302023, and
  FATE#302024)
  * Add MozillaFirefox.xml to bind .xpi to application/x-xpinstall
  in desktop.
  * Add application/x-xpinstall mime type to MozillaFirefox.desktop
* Thu Feb 07 2008 - wr@rosenauer.org
- update to security release 2.0.0.12 (#354469)
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Wed Jan 16 2008 - wr@rosenauer.org
- introduced a hidden boolean pref "browser.ignoreNM" to ignore
  NetworkManager status if needed for certain configurations
- fixed PATH_MAX issues with latest glibc versions
  (mozilla-path_max.patch, #354150, bmo #412610)
- removed fwrapv workaround since the gcc issue is fixed (#342603)
- reference libaoss.so (#117079) in startscript correctly
* Fri Nov 30 2007 - wr@rosenauer.org
- update to release 2.0.0.11
  * this is just a version bump since the only change is the
  upstream inclusion of the canvas regression fix
- added software.opensuse.org searchplugin (#343912)
- fixed Novell Support search plugin (#297261)
* Tue Nov 27 2007 - wr@rosenauer.org
- update to security release 2.0.0.10 (#341591)
  * MFSA 2007-37 jar: URI scheme XSS hazard
  * MFSA 2007-38 Memory corruption vulnerabilities
  * MFSA 2007-39 Referer-spoofing via window.location race condition
* Tue Nov 27 2007 - wr@rosenauer.org
- build with -fwrapv; needed for Factory (#342603)
* Thu Nov 15 2007 - wr@rosenauer.org
- renamed firefox-gcc4.3-fixes.patch to mozilla-gcc4.3-fixes.patch
  to make clear it's not firefox specific and reuse in other
  mozilla projects
- gcc visibility is now used correctly with compatible compilers
  * fixed dbus.patch
  * fixed startup.patch
  * extended misc.dif with missing "visible" system-headers
  * added visibility fix from bmo #386362 to
  mozilla-gcc4.3-fixes.patch
* Tue Nov 13 2007 - maw@suse.de
- Add firefox-gcc4.3-fixes.patch.
* Sun Nov 04 2007 - wr@rosenauer.org
- update to version 2.0.0.9 (#336994)
  fixed some regressions introduced with 2.0.0.8 security update
  http://en-us.www.mozilla.com/en-US/firefox/2.0.0.9/releasenotes/
* Wed Oct 31 2007 - wr@rosenauer.org
- remove temporary files correctly after printing via CUPS
  (#338095)
* Thu Oct 18 2007 - wr@rosenauer.org
- security update to version 2.0.0.8 (#332512)
  * MFSA 2007-29 Crashes with evidence of memory corruption
  * MFSA 2007-30 onUnload Tailgating
  * MFSA 2007-31 Digest authentication request splitting
  * MFSA 2007-32 File input focus stealing vulnerability
  * MFSA 2007-33 XUL pages can hide the window titlebar
  * MFSA 2007-34 Possible file stealing through sftp protocol
  * MFSA 2007-35 XPCNativeWraper pollution using Script object
  complete advisories on
  http://www.mozilla.org/projects/security/known-vulnerabilities.html
* Wed Sep 26 2007 - wr@rosenauer.org
- pull in myspell dictionaries (#328479)
- only preload libaoss if it actually exists
  (follow up for #326751)
* Sun Sep 23 2007 - maw@suse.de
- Don't explicitly require libaoss.so (#326751).
* Fri Sep 14 2007 - maw@suse.de
- Update the Novell Support search plugin in search-addons.tar.bz2
  (#297261)
- Set the browser.tabs.loadFolderAndReplace preference to false
  by default (#230759).
* Tue Sep 11 2007 - wr@rosenauer.org
- use %%fdupes more carefully
* Mon Sep 03 2007 - ro@suse.de
- move last change a bit further in specfile
* Fri Aug 31 2007 - maw@suse.de
- Mark a .png file as nonexecutable.
* Tue Aug 28 2007 - wr@rosenauer.org
- using %%fdupes to keep in sync with Factory
* Tue Aug 21 2007 - wr@rosenauer.org
- provide locale information (#302288)
* Tue Aug 21 2007 - wr@rosenauer.org
- support X11 session management (#227047) (x11-session.patch)
* Tue Aug 21 2007 - aj@suse.de
- Adjust bookmarks: Add news.opensuse.org, use new software.o.o
  page.
* Sun Aug 19 2007 - wr@rosenauer.org
- deactivate the hidden visibility support for 10.3,
  thereby fixing the build.
* Tue Jul 31 2007 - wr@rosenauer.org
- update to security release 2.0.0.6
  * MFSA 2007-26  Privilege escalation through chrome-loaded
  about:blank windows
  * MFSA 2007-27  Unescaped URIs passed to external programs
  (only relevant on Windows)
* Wed Jul 18 2007 - wr@rosenauer.org
- update to security release 2.0.0.5
* Tue Jun 05 2007 - sbrabec@suse.cz
- Removed invalid desktop category "Application" (#254654).
* Mon May 28 2007 - wr@rosenauer.org
- update to security release 2.0.0.4
* Sun May 20 2007 - wr@rosenauer.org
- use correct lib path on IA64 (#275205)
* Mon Apr 30 2007 - ro@suse.de
- added unzip to BuildRequires
* Thu Apr 26 2007 - wr@rosenauer.org
- added workaround needed for Sun Java when Xorg >= 7.2 is used
  (#252510)
* Wed Apr 18 2007 - mfabian@suse.de
- add Japanese to the languages which get PANGO enabled in the
  start script to support the Japanese combining characters
  U+3099 U+309A (see bugzilla #262718 comment #29).
* Mon Apr 16 2007 - wr@rosenauer.org
- new order of helper app evaluation (#264584)
  1. $HOME/.mailcap
  2. gnome-vfs
  3. /etc/mailcap
* Wed Mar 21 2007 - wr@rosenauer.org
- update to security release 2.0.0.3 (20070320)
  * MFSA 2007-11  FTP PASV port-scanning (bmo #370559)
  * some bugfixes and regression fixes
  (bmo #370136, #371925, #371525, #371576, #373181)
* Tue Mar 13 2007 - wr@rosenauer.org
- added new gconf schema handling for 10.3 and up
* Wed Feb 21 2007 - wr@rosenauer.org
- update to version 2.0.0.2 (20070221)
- adapted startup.patch
- removed obsolete init_colors and make-perl patches
* Wed Feb 07 2007 - wr@rosenauer.org
- Added -no-remote and -safe-mode options to man-page
* Thu Jan 25 2007 - maw@suse.de
- Don't hardcode /opt/gnome/bin/gconftool-2.
* Sat Jan 20 2007 - wr@rosenauer.org
- move Gnome stuff for Factory/10.3
* Wed Jan 10 2007 - wr@rosenauer.org
- fix crash if gnome-settings-daemon is started or killed
  (bnc #232209, bmo #366410)
- fixed creation of debuginfo packages in buildservice
* Sat Dec 23 2006 - wr@rosenauer.org
- fix commandline handling (#230681)
* Tue Dec 19 2006 - wr@rosenauer.org
- update to version 2.0.0.1 (20061217)
- modified Tango theme to fit minor versions
* Thu Nov 30 2006 - maw@suse.de
- Update firefox-suse-default-prefs.js, adding
  'pref("browser.backspace_action", 2);' (#217374)
* Thu Nov 30 2006 - wr@rosenauer.org
- aligned bookmarks with official package
- added fixed gecko-lockdown.patch (#220616)
* Mon Nov 27 2006 - wr@rosenauer.org
- really fixed Tango theme to make it work finally
- fixed system-proxies.patch to actually work (#223881)
- cleaned up bookmarks
* Thu Nov 09 2006 - jhargadon@suse.de 
- updated tango theme
* Tue Nov 07 2006 - wr@rosenauer.org
- fixed crash in htmlparser (#217257, bmo #358797)
- added gconf2 as PreReq (#212505)
- added 32bit libaoss.so as requirement (#216266)
* Sat Oct 28 2006 - wr@rosenauer.org
- Fix system-proxies.patch correctly (#214125)
- Removed SUSE searchplugin (Portal not available anymore)
  (#216054)
- Removed obsolete xul-picker.patch and system-nspr.patch
- Fixed building on 10.1 and 10.0 (dbus)
- Removed obsolete throbber preference
* Thu Oct 26 2006 - aj@suse.de
- Fix gcc warnings about undefined operations, patch by
  Robert O'Callahan.
- Update system-proxies.patch to fix error box (214125), patch by
  Robert O'Callahan.
* Mon Oct 23 2006 - aj@suse.de
- Update to current CVS version of 2.0.
- Use www.opensuse.org as default home page for now (#203547).
* Sat Oct 21 2006 - aj@suse.de
- Disable non-working plasticfox and tango themes.
* Fri Oct 20 2006 - aj@suse.de
- Fix building of locales.
* Fri Oct 20 2006 - mkoenig@suse.de
- update to version 2.0rc3:
  * New features: Visual Refresh, Built-in phishing protection,
  Enhanced search capabilities, Improved tabbed browsing,
  Resuming your browsing session, Previewing and subscribing
  to Web feeds, Inline spell checking, Live Titles,
  Improved Add-ons manager, JavaScript 1.7, Extended search
  plugin format, Updates to the extension system,
  Client-side session and persistent storage, SVG text
* Tue Oct 17 2006 - meissner@suse.de
- disabled debugging.
* Tue Sep 12 2006 - stark@suse.de
- security update to version 1.5.0.7
* Mon Aug 21 2006 - stark@suse.de
- added greasemonkey helper change (#199920)
- fixed packager.mk for new make version
* Fri Aug 11 2006 - stark@suse.de
- fixed crash in dbus component (patch by thoenig #197928)
- use external adresses for PAC configuration (#196506)
* Mon Aug 07 2006 - stark@suse.de
- added symlink for Firefox 1.0.x compatibility
* Sat Jul 29 2006 - stark@suse.de
- update to regression release 1.5.0.6 (#195043)
* Thu Jul 27 2006 - stark@suse.de
- security update to version 1.5.0.5 (#195043)
  * observer-lock.patch integrated now
- fixed leak in JS' liveconnect (#186066)
- fixed desktop file for old distributions
  (StartupNotify=false)
* Thu Jun 29 2006 - stark@suse.de
- fixed printing crash if the last used printer is not available
  anymore (#187013)
* Fri Jun 16 2006 - stark@suse.de
- added 48x48 icon (#185777)
* Mon Jun 12 2006 - stark@suse.de
- fix overwrite confirmation for GTK filesaver (#179531)
- get network.negotiate-auth.trusted-uris and
  network.negotiate-auth.delegation-uris from gconf if
  system-settings are enabled (#184489)
* Thu Jun 01 2006 - stark@suse.de
- update to security/stability release 1.5.0.4 (#179011)
- moved locale-global prefs to browserconfig.properties (#177881)
* Tue May 23 2006 - stark@suse.de
- complete implementation of startup-notification (#115417)
  (including autoconf and remote support)
- different home-pages for SLE10 and SL (#177881)
* Tue May 16 2006 - stark@suse.de
- fixed potential deadlock in nsObserverList::RemoveObserver
  (#173986, bmo #338069)
- base startup notification on libstartup-notification (#115417)
* Thu May 11 2006 - stark@suse.de
- save printer settings properly (#174082, bmo #324072)
- added startup notification support for showing load activity
  in Gnome and to avoid focus stealing prevention (#115417)
- added StartupNotify=true to desktop file (#115417)
- provide legacy symlink for NLD9 update compatibility (#173138)
- fixed system-proxies patch to avoid unwanted wpad requests
  (#171743, #167613)
* Mon May 08 2006 - stark@suse.de
- preconfigure the theme according to the used desktop (#151163)
* Thu Apr 27 2006 - stark@suse.de
- last minute change for 1.5.0.3
* Wed Apr 26 2006 - stark@suse.de
- security update to 1.5.0.3
- fix for typo in postscript.patch
* Tue Apr 25 2006 - stark@suse.de
- fixed iframe crash (#169039, bmo #334515)
- fixed img tag misuse (#168710, bmo #334341)
* Mon Apr 24 2006 - stark@suse.de
- improved postscript output (bmo #334485)
- changed defaults for printer properties (#6534)
- overwrite gnome-vfs' file protocol by providing "desktop-launch"
  (#131501)
- get available paper sizes from CUPS (#65482)
- replaced/removed complicated gconfd reload in %%post (#167989)
- fixed memory leak in clipboard caching (bmo #289897)
* Tue Apr 11 2006 - stark@suse.de
- added (optional) plastikfox theme (#151163)
- get some more security related patches (#148876)
- finally fixed the default proxy configuration by adding a new
  UI option (#132398)
* Mon Apr 03 2006 - stark@suse.de
- fixed keyword fixup patch (#162532)
* Tue Mar 28 2006 - stark@suse.de
- don't use keyword fixup for pasted text (#160034, bmo #331522)
* Mon Mar 20 2006 - stark@suse.de
- added Tango theme
- fixed reading proxies from gconf (#132398)
* Sun Mar 12 2006 - stark@suse.de
- tweaked bookmarks (fixed URLs)
- added Khmer (km-*) to pango locales (#157397)
* Sat Mar 04 2006 - stark@suse.de
- fixed crash with multipart JPEGs (bmo #328684) (#140416)
- got latest security fixes from upstream (#148876)
* Wed Feb 22 2006 - stark@suse.de
- fixed plugin loading when launched from Thunderbird (#151614)
- merged dbus reconnection patch (#150042)
- default to autodetect proxy (network.proxy.type=4) (#151811)
- added GTK category to desktop file
* Tue Feb 14 2006 - stark@suse.de
- modified lockdown patches (#67281, #67282)
- applied set of security patches (#148876)
  bmo bugs: 282105, 307989, 315625, 320459, 323634, 325403, 325947
* Tue Feb 07 2006 - stark@suse.de
- fixed disabling of Pango (#148788)
* Thu Feb 02 2006 - stark@suse.de
- define gssapi lib explicitely (#147670)
- use only official Firefox-Icon
- changed home-download patch
* Sun Jan 29 2006 - stark@suse.de
- throbber URL is default again
- removed firefox-showpass patch
- removed additional CA certs from builtin NSS
* Fri Jan 27 2006 - stark@suse.de
- got some l10n changes from 1.8.0 branch
* Fri Jan 27 2006 - stark@suse.de
- final 1.5.0.1 version
- make it possible to choose $HOME as download directory
  (#144894, bmo #300856)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - stark@suse.de
- disable Pango if MOZ_ENABLE_PANGO is not set
  and no typical language which needs Pango is used (#143428)
* Wed Jan 18 2006 - stark@suse.de
- fixed DumpStackToFile() for glibc 2.4
- added default (font) settings
* Thu Jan 12 2006 - stark@suse.de
- update to 1.5.0.1pre (20060111)
- updated man-page
- fixed hovered tab close button
- only Requires mozilla-nspr instead of PreReq since
  there is no postinstall registration necessary anymore
- use system NSS from CODE10 on
- use -fstack-protector where available
- changed unixproxy component to work on older distributions
* Mon Jan 02 2006 - stark@suse.de
- added unixproxy component written by Robert O'Callahan (#132398)
  (bmo #66057)
- added official translations
- preload libaoss for plugin sound (#117079)
* Wed Dec 28 2005 - stark@suse.de
- get some patches from 1.8.0 branch
- readded modification to gconf-backend (bmo #321315)
- readded lockdown stuff
- enable additional extension install directory (#120329)
  (/usr/lib/browser-extensions/firefox)
- added patch to make the XUL filechooser optional
  (MOZ_XUL_PICKER)
* Wed Dec 14 2005 - stark@suse.de
- fixed patch for parsing -remote parameter
- removed default-plugin patch (not needed anymore)
* Fri Dec 09 2005 - stark@suse.de
- fix to ignore X composite extension (#135373)
- fixed parsing of -remote parameters (#134396)
- activated locales as released
* Tue Nov 29 2005 - stark@suse.de
- update to 1.5 (20051128)
- don't override startup URL when changing Gecko versions (#135314)
- added patch for GTK2 handling (#134831)
- readded add-plugins stuff for compatibility
* Fri Nov 18 2005 - stark@suse.de
- update to 1.5rc3 (20051117)
* Mon Oct 31 2005 - stark@suse.de
- updated l10n archive (20051030)
- fixed postinstall script to copy plugin links instead of files
* Fri Oct 28 2005 - stark@suse.de
- update to 1.5rc1 (20051027)
- fixed profile locking on FAT partitions (bmo #313360)
- introduced an rpath again
* Wed Oct 19 2005 - stark@suse.de
- update to snapshot 1.5 (20051019)
- moved installation to /usr/%%{_lib}/firefox
- added dbus component to be able to get network status from
  NetworkManager (bmo #312793)
- remove all update UI for application
- removed diable-gconf (no registration at build time anymore)
- removed rebuild-databases.sh (no system registration anymore)
- open links in new windows (#128087)
* Thu Oct 06 2005 - stark@suse.de
- update to Firefox 1.5b2 (20051005)
- added supported translations
* Sat Oct 01 2005 - stark@suse.de
- update to Firefox 1.5b1 (20050930) RPM version 1.4.1
- removed rebuild-databases.sh calls
- removed add-plugins.sh calls and corresponding triggers
- enabled SVG and Canvas support
- fixed gconf urlhandler registration
* Tue Sep 20 2005 - stark@suse.de
- security update to 1.0.7 (#117619)
  * MFSA 2005-57: IDN heap overrun using soft-hyphens (bmo #307259)
  (enabled IDN pref again)
  * MFSA 2005-58:
  CAN-2005-2701 Heap overrun in XBM image processing
  CAN-2005-2702 Crash on "zero-width non-joiner" sequence
  CAN-2005-2703 XMLHttpRequest header spoofing
  CAN-2005-2704 Object spoofing using XBL <implements>
  CAN-2005-2705 JavaScript integer overflow
  CAN-2005-2706 Privilege escalation using about: scheme
  CAN-2005-2707 Chrome window spoofing
  Regression fixes
- register beagle extension if it gets installed (#116787)
* Tue Sep 13 2005 - aj@suse.de
- Change SUSE bookmarks.
* Sun Sep 11 2005 - stark@suse.de
- disable IDN per default (#116070)
- unlocalize bookmarks (#114279)
* Thu Sep 08 2005 - stark@suse.de
- fixed some filemodes (#114849)
* Sun Sep 04 2005 - stark@suse.de
- fixed gconf-backend patch to be able to use
  system prefs (#114054)
* Thu Sep 01 2005 - stark@suse.de
- changed default font to sans-serif (#114464)
- removed de-de parts of the bookmark-links (#114279)
* Mon Aug 22 2005 - stark@suse.de
- install gconf schema for lockdown also on non-NLD
- added backports (firefox-backports.patch)
  * gtk_im_context_set_cursor_location() is not used (bmo #281339)
  * fixed crash in imgCacheValidator::OnStartRequest()
  (bmo #293307)
- workaround for linking with pangoxft and pangox
  (broken by gtk 2.8 update) (#105764)
- remove extensions on deinstallation
- include dragonegg (kparts) plugin (#105468)
* Thu Aug 18 2005 - stark@suse.de
- fixed regression in profile locking change (bmo #303633)
- added rtsp handler to global config (#104434)
- don't blacklist help: protocol (bmo #304833)
- fixed Gdk-WARNING at startup (gtk.patch)
- fixed crash with gtk 2.7 (bmo #300226, bnc #104586)
- fixed installation of the beagle plugin
- update industrial theme to 1.0.11 (#104564)
- included lockdownV2 (removed obsolete gconf.diff)
- linked firefox-bin with rpath to progdir
* Fri Aug 05 2005 - stark@suse.de
- fixed profile locking (bmo #151188)
- install beagle extension globally
* Fri Jul 29 2005 - stark@suse.de
- don't require and provide NSS libs (#98002)
- fixed printing error 'You cannot print while in print preview'
  (#96991, bmo #302445)
* Wed Jul 27 2005 - stark@suse.de
- fixed Firefox on ppc (stack-direction.patch) (#97359)
- removed open-pref from startscript as it is done
  automatically now (#73042)
- updated Novell searchplugins
* Mon Jul 25 2005 - stark@suse.de
- GTK filechooser is now modal (#8533)
- backed out patch to add tooltips to print-preview
  because it breaks localization
* Fri Jul 22 2005 - stark@suse.de
- fixed another problem in printing patch
* Tue Jul 19 2005 - stark@suse.de
- fixed error in ft-xft-ps2.patch
- disabled stripping in spec instead of patch
- added NSPR to PreReq
* Mon Jul 18 2005 - stark@suse.de
- fixed some more regressions with final 1.0.6
- fixed width calculation in Postscript module (bmo #290292)
- fixed plugin event starvation (bnc #94749, #94751, bmo #301161)
* Fri Jul 15 2005 - stark@suse.de
- searchplugins can now be installed per profile (#8176)
* Fri Jul 15 2005 - stark@suse.de
- update to 1.0.6 which restores API compatibility
* Tue Jul 12 2005 - stark@suse.de
- update to 1.0.5 final (#88509)
- don't strip explicitely
- don't ship beagle.xpi
* Wed Jul 06 2005 - stark@suse.de
- update to 1.0.5-pre (20050705)
- use RPM_OPT_FLAGS for NSS component
- fixed implicit declarations and uninitialized used variables
- added patch for bmo #87969
* Tue Jul 05 2005 - stark@suse.de
- fixed regression from security update (#95069, bmo #298478)
* Mon Jun 27 2005 - stark@suse.de
- don't use system-prefs by default on NLD
- removed basic lockdown stuff for SUSE Linux
  (it's not needed and caused problems: bnc #75418)
- fixed NLD lockdown patch (bnc #75418)
- don't write prefs back to gconf for now
* Wed Jun 22 2005 - stark@suse.de
- new NLD lockdown patch which is syncing user prefs to gconf
- update to 1.0.5pre security-release
* Thu Jun 09 2005 - stark@suse.de
- new revision of NLD lockdown patch
- fixed remote usage behaviour in start script (bnc #41903)
- got more bugfixes from the branch
* Thu Jun 02 2005 - stark@suse.de
- fixed neededforbuild
* Wed Jun 01 2005 - stark@suse.de
- fixed IDN for 64bit platforms (bmo #236425, bnc #46268)
* Fri May 20 2005 - stark@suse.de
- fixed keybinding for KP separator (bnc #84147)
- pulled security related patch from upstream branch
- update plastikfox theme to version 1.6
* Thu May 12 2005 - stark@suse.de
- update to final 1.0.4 release
* Tue May 10 2005 - stark@suse.de
- update to 1.0.4 security release
- removed s390(x) patches (upstream)
- made two more files %%verify (81692)
- updated NLD lockdown patch (81304)
* Thu Apr 28 2005 - stark@suse.de
- use static NSPR libs from new location
* Sat Apr 23 2005 - stark@suse.de
- activate usage of system NSPR for distributions after 9.3
- add patch to be able to use systen NSPR at all
* Fri Apr 22 2005 - ro@suse.de
- use mozilla-gcc4.patch
* Thu Apr 21 2005 - stark@suse.de
- don't execute gconf magic within build environment
* Sat Apr 16 2005 - stark@suse.de
- update to final 1.0.3 release
* Fri Apr 15 2005 - ro@suse.de
- fix problem in postinstall script
* Thu Apr 14 2005 - stark@suse.de
- included fixed lockdown patch for NLD
- linked proxies within Firefox with gnome settings (NLD)
- added gconfd restart procedure to install script
  (only needed if gconf changes are done) (#76852)
* Sat Apr 02 2005 - stark@suse.de
- update to security pre-release 1.0.3 (#75692)
  * Manual plug-in install, javascript vulnerability (bmo #288556)
  * Access memory vulnerability (bmo #288688)
* Fri Apr 01 2005 - stark@suse.de
- added advanced lockdown features for ZLM integration (NLD-only)
* Tue Mar 22 2005 - stark@suse.de
- update to final 1.0.2
- use new theme handling on NLD
- added default-plugin-less-annoying from mozilla
- use GTK2 for Flash
- use system NSPR on SUSE releases after 9.3
- made startscript PIS aware
- set g-application-name correctly (bmo #281979)
- added man-page
- use GTK system colors
- modify useragent string and add vendor id
- activate smooth-scrolling by default (#74310)
* Tue Mar 22 2005 - stark@suse.de
- don't register beagle automatically (#74062)
- added default bookmarks for SUSE LINUX
* Mon Mar 21 2005 - max@suse.de
- Fixed a typo in the shell code that handles inclusion of the
  Acrobat Reader plugin (#70861).
* Thu Mar 17 2005 - stark@suse.de
- updates from upcoming 1.0.2
- added again logic to use Adobe Reader 7 (#70861)
- fixed crash in ICO decoding (#67142, bmo #245631)
- preinstall beagle extension (#72920)
- bugfixes in trigger scripts
- fixed industrial theming for Gnome (#72918)
* Sat Mar 12 2005 - stark@suse.de
- fixed more security related bugs
  (bmo #284551, #284627, #285595)
* Wed Mar 09 2005 - stark@suse.de
- update also GNOME desktop file (#71810)
- added firefox-gnome.png to filelist
- use correct Firefox icon
* Mon Mar 07 2005 - stark@suse.de
- disable inclusion of acrobat plugin again (#70861)
- don't use gconfd in registration phase (#66381)
* Mon Mar 07 2005 - adrian@suse.de
- use standard icon again for the default desktop file and
  add a Gnome-only desktop file for the Gnome icon
- add plastikfox chrome theme to fix button order within KDE
- add patch for automatic theme selection for KDE and Gnome
- do register extensions in rebuild-databases.sh instead of %%install,
  to fix needed timestamps
* Fri Mar 04 2005 - stark@suse.de
- extend add-plugins to recognize Java 1.5 (#66909)
- changed comment in desktop-file (#66867)
* Tue Feb 22 2005 - stark@suse.de
- make --display parameter working in all cases (bnc #66043)
- revised postscript patch
- final 1.0.1 codebase
* Mon Feb 21 2005 - stark@suse.de
- added patch to create Postscript level 2 (instead of 3)
  (special thanks to Jungshik Shin)
- disabled freetype explicitly to be able to use the above patch
  (freetype wasn't used anymore since some time anyway)
* Fri Feb 18 2005 - stark@suse.de
- got more patches from branch to get another IDN fix and to
  fix bug #51019
- enabled IDN again
* Wed Feb 16 2005 - stark@suse.de
- bumped version number to 1.0.1
* Tue Feb 15 2005 - stark@suse.de
- got updates from 1.0.1 branch
* Thu Feb 10 2005 - stark@suse.de
- additional fireflashing fix (#50635, bmo #280664)
- some more security related fixes
  (bmo #268483, #273498, #277322)
- fire up GTK2 filepicker if GNOME is running
* Tue Feb 08 2005 - stark@suse.de
- some prefs are ignored (bmo #261934)
- disabled default IDN (#50566)
- fixed some more bugzilla.mozilla.org bugs:
  [#276482], #280056, #280603
* Sun Feb 06 2005 - stark@suse.de
- use same desktop categories for Professional and NLD
- added some lockdown stuff for printing and page saving
  (bmo #280488)
* Wed Feb 02 2005 - stark@suse.de
- modified gconf.diff to honor ignore_hosts (bmo #280742)
- added a JS crasher fix (bmo #268535)
- added more fixes (bmo #255441, #273024, #275405, #275634)
* Fri Jan 28 2005 - stark@suse.de
- added gplflash inclusion
- improved JRE inclusion
- reactivated usage of Acrobat Reader plugin
  (ready for acroread 7)
* Sat Jan 22 2005 - stark@suse.de
- added some backported bugfixes
* Sat Dec 18 2004 - stark@suse.de
- updated industrial theme to 1.0.9
- use slightly changed icon for menu-entry (bnc #275)
- use original desktop file for NLD again
* Thu Dec 16 2004 - stark@suse.de
- newer patch for GNOME associations (bnc #362)
- fix overwriting of files with GTK picker (Ximian #65068)
- readded the industrial default theme patch for NLD
* Wed Dec 15 2004 - stark@suse.de
- activate GTK filepicker for NLD again
- fix for GNOME helper applications with parameters
- make GNOME associations the default on NLD
* Sat Dec 04 2004 - stark@suse.de
- fixed build on s390/s390x
- added patch to be able to install-global without running X
  (bmo #265859)
* Thu Nov 18 2004 - stark@suse.de
- update industrial theme to 1.0.8 (still not activated)
- added patch to make home-directory the default download dir
  (on NLD is still used Desktop)
* Thu Nov 11 2004 - stark@suse.de
- made initial window height smaller again
* Tue Nov 09 2004 - stark@suse.de
- update to final 1.0 release (20041109)
* Thu Nov 04 2004 - stark@suse.de
- update to 1.0rc2
* Sat Oct 30 2004 - stark@suse.de
- added missing s390(x) patch
* Wed Oct 27 2004 - stark@suse.de
- update to 1.0rc1 codebase
- printing via XFT/fontconfig
- freetype changes to avoid API conflicts with newer freetype2
- fixed build for s390/s390x
- removed AMD64 patch (included upstream)
- added translations sub-package
- removed "Show folder" patch for NLD (resolved upstream)
- don't use gnome-filepicker patch for NLD for now
- removed hppa buildfix (included upstream)
- removed untitled.patch (bmo #24068) resolved by (bmo #262478)
- use make -C browser/installer now to prepare installation
- don't check for default browser at startup (#47587)
- updated industrial.jar (0.99.13) (disabled)
* Fri Oct 15 2004 - stark@suse.de
- inherit locale from system
- fixed chrome registration
* Wed Oct 06 2004 - joeshaw@suse.de
- disable gconf settings as default (Ximian #67718)
* Wed Oct 06 2004 - stark@suse.de
- fixed inclusion of RealPlayer plugin again
* Tue Oct 05 2004 - stark@suse.de
- small important fix in firefox-download.patch (Ximian #65472)
* Sun Oct 03 2004 - stark@suse.de
- added security-fix from 0.10.1 (mozilla.org #259708) (#46687)
* Fri Oct 01 2004 - stark@suse.de
- final fix for downloading to Desktop folder (Ximian #65756)
- remove Postscript from printer names (Ximian #65560)
* Thu Sep 30 2004 - shprasad@suse.de
- Modified the MozillaFirefox.desktop file.
  Changed the name 'Firefox' to 'Firefox Web Browser'.
  Also changed it for all languages.
* Wed Sep 29 2004 - stark@suse.de
- fix inclusion of RealPlayer plugin (Ximian #65711)
* Mon Sep 27 2004 - joeshaw@suse.de
- Update the industrial default patch, for some reason it didn't
  take before.
* Fri Sep 24 2004 - stark@suse.de
- fix for Ximian #65176 (mozilla.org #240068)
- revised patch for update function (Ximian #65615)
* Thu Sep 23 2004 - joeshaw@suse.de
- Uncomment the patch which tells the UI that industrial is the
  default.
* Thu Sep 23 2004 - stark@suse.de
- open Nautilus on NLD for 'Show folder' in download settings
  (Ximian #65472) by sragavan@novell.com
- save to Desktop folder if selected (Ximian #65756)
  by sragavan@novell.com
* Wed Sep 22 2004 - stark@suse.de
- synced NLD package with 9.2 version
- GTK2 filepicker does now ask for confirmation when overwriting
  files (Ximian #65068) by sagarwala@novell.com
- no direct update function (Ximian #65615) by rganesan@novell.com
- throbber linked to Novell (Ximian #66283) by rganesan@novell.com
- make industrial the default theme for NLD
  (Ximian #65542) by joeshaw@suse.de
* Mon Sep 20 2004 - joeshaw@suse.de
- Add default bookmarks.  Ximian #65546.
- Add the industrial theme, but it's not the default yet.
- Remove acroread from add-plugins because it's badly behaved.
  Ximian #65499.
* Mon Sep 20 2004 - federico@ximian.com
- Added MozillaFirefox-toplevel-window-height.diff for
  http://bugzilla.ximian.com/show_bug.cgi?id=65543
* Sun Sep 19 2004 - stark@suse.de
- use GNOME system prefs only for NLD by default
  (fixes bug #45575)
* Fri Sep 17 2004 - stark@suse.de
- joeshaw@suse.de: Update GConf patch so that proxy settings work
  correctly (Ximian #64461)
- don't search Java on every path (Ximian #65383)
- added some missing fixes for official release
- added new java package name for triggers (#45257)
* Sat Sep 11 2004 - stark@suse.de
- update to official 1.0PR (0.10)
- adopted gnome-filepicker patch
- removed obsolete CUPS hack from start-script
  (Ximian #65635, #65560)
* Thu Sep 09 2004 - stark@suse.de
- fixed endianess on AMD64 in JS component (#34743)
* Mon Sep 06 2004 - stark@suse.de
- fixed filelist
* Mon Sep 06 2004 - stark@suse.de
- update to 1.0PR (aka 0.10)
* Fri Sep 03 2004 - stark@suse.de
- added ppc64 patch
* Thu Sep 02 2004 - dave@suse.de
- Fixed up the .desktop installation on nld
* Wed Sep 01 2004 - shprasad@suse.de
- Doesn't ask to set Firefox as default web-browser.
* Tue Aug 31 2004 - stark@suse.de
- next new version for filepicker stuff
- deactivated native filepicker for NLD
- update to snapshot (20040831)
* Tue Aug 24 2004 - stark@suse.de
- new version of gnome-filepicker patch
- added patch for config
* Fri Aug 20 2004 - stark@suse.de
- update to snapshot (20040820)
* Thu Aug 19 2004 - stark@suse.de
- added workaround for mozilla bug #246313
  (Firefox does not start: getting "cannot open display" error)
* Wed Aug 18 2004 - stark@suse.de
- added some patches from Ximian
  - use GNOME filepicker
  - use more gconf settings
  - set startup homepage to Novell
* Tue Aug 17 2004 - stark@suse.de
- update to pre-1.0.0 (20040817)
* Thu Aug 05 2004 - stark@suse.de
- security update to 0.9.3
  (including #43312 and others)
- handle RealPlayer 9 plugin
* Mon Aug 02 2004 - ro@suse.de
- recode desktop file to utf-8
* Wed Jul 28 2004 - stark@suse.de
- added fix against certificate spoofing (#43312)
* Fri Jul 23 2004 - stark@suse.de
- update to 0.9.2
- added workaround for extension registry
- removed old (incompatible) mozex extension
* Tue Jun 29 2004 - stark@suse.de
- update to 0.9.1
- added hint to run as root first
* Tue Jun 15 2004 - stark@suse.de
- update to 0.9
- added patch for newer freetype
* Sat May 29 2004 - stark@suse.de
- update to 0.8.0+ (20040503)
- removed firefox logos and activate official branding for
  milestone builds
- changed profile-dir to .firefox
- added some needed files
- enabled gnomevfs extension
* Fri Apr 02 2004 - stark@suse.de
- removing relocation of TEMP directory (#34391)
* Fri Mar 26 2004 - uli@suse.de
- fixed hang during build on s390* (bug #35440)
* Wed Mar 03 2004 - stark@suse.de
- removed unused patches for GTK2 build
- more fixes for (#35179)
* Mon Mar 01 2004 - stark@suse.de
- improved start-script to interact with thunderbird (#35179)
* Thu Feb 26 2004 - stark@suse.de
- use official releasedate
- added official (trademarked) artwork
- added firefox icon to /usr/share/pixmaps
- cleaned up spec-file (there will be no GTK1 version)
* Tue Feb 24 2004 - stark@suse.de
- fixed optimization for non-x86 archs
* Tue Feb 24 2004 - stark@suse.de
- adopted file-list and build options to original distribution
- added prdtoa fix (#32963)
- added hook for static firefox build to rebuild-databases.sh
- added compiler flags for security/ (nss-opt.patch)
- included mozex (mozex.mozdev.org)
- added -Os as optimization flag
* Mon Feb 09 2004 - stark@suse.de
- renamed to MozillaFirefox
- update to final version 0.8
* Fri Feb 06 2004 - stark@suse.de
- update to Firebird 0.8 (20040205)
- added mips build fix
- set PS printer list in MozillaFirebird.sh
- use lib64 again for biarch platforms
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - stark@suse.de
- upstream sync for 0.6.1post
* Sun Aug 10 2003 - stark@suse.de
- removed dmoz from searchplugins-filelist
* Fri Aug 08 2003 - stark@suse.de
- update to 0.6.1post (TRUNK)
- use -fno-strict-aliasing
* Thu Jul 31 2003 - stark@suse.de
- update to 0.6.1 (MOZILLA_1_4_BRANCH)
- synchronized with mozilla-source
- created file-list
* Thu Jul 10 2003 - stark@suse.de
- update to snapshot 20030709
- fixed generation of symlink MozillaFirebird-xremote-client
* Fri Jun 20 2003 - stark@suse.de
- update to snapshot 20030622 (0.7pre)
* Mon May 19 2003 - stark@suse.de
- update to snapshot 20030518 (0.6)
* Wed May 07 2003 - stark@suse.de
- update to snapshot 20030507
* Wed Apr 30 2003 - stark@suse.de
- initial SuSE package
